Verified Commit b9462309 authored by Erxleben, Fredo's avatar Erxleben, Fredo
Browse files

Bump surveyval version to 1.1.0, update dependency versions



Signed-off-by: Erxleben, Fredo's avatarFredo Erxleben <f.erxleben@hzdr.de>
parent 17b59ac4
Pipeline #86136 failed with stages
in 1 minute and 22 seconds
This diff is collapsed.
......@@ -20,7 +20,7 @@
[tool.poetry]
name = "hifis-surveyval"
version = "1.0.1"
version = "1.1.0"
description = "This project is used to develop analysis scripts for the HIFIS Software survey."
license = "GPL-3.0-or-later"
authors = ["HIFIS Software <software@hifis.net>"]
......@@ -51,14 +51,14 @@ include = ["LICENSES", "docs/build/html/**/*.*", "hifis_surveyval/files/**/*"]
hifis-surveyval = "hifis_surveyval.cli:cli"
[tool.poetry.dependencies]
python = ">=3.7,<3.10"
python = ">=3.7.1,<3.10"
click = ">=8.0"
matplotlib = ">=3.2.0"
numpy = ">=1.18.1"
pandas = ">=1.0.1"
pandas = ">=1.3.0"
pyyaml = ">=5.3.1"
pydantic = "^1.8.1"
python-dotenv = "^0.17.0"
python-dotenv = "^0.18.0"
tabulate = "^0.8.9"
schema = "^0.7.4"
......@@ -70,9 +70,9 @@ pytest-cov = ">=2.5.1"
pytest-pythonpath = ">=0.7.2"
Sphinx = ">=2.2.0"
sphinx-rtd-theme = ">=0.4.3"
black = "^20.8b1"
black = "^21.6b0"
flakehell = "^0.9.0"
flake8 = "==3.9.0"
flake8 = "==3.9.2"
recommonmark = "^0.7.1"
[tool.coverage.run]
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment